Package org.eclipse.net4j.util.event

## Class FinishedEvent

- java.lang.Object
- - org.eclipse.net4j.util.event.FinishedEvent

- All Implemented Interfaces:
    `IEvent`

      public class FinishedEvent
      extends java.lang.Object
      implements IEvent

  An `IEvent` that is fired after a method has called a handler multiple times.
  Since:
    3.3
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static IEvent` | `INSTANCE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FinishedEvent​(java.lang.Object result)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `getResult()` |
    `INotifier` | `getSource()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final IEvent INSTANCE

  - ### Constructor Detail

    - #### FinishedEvent

          public FinishedEvent​(java.lang.Object result)

  - ### Method Detail

    - #### getResult

          public java.lang.Object getResult()

    - #### getSource

          public INotifier getSource()

      Specified by:
        `getSource` in interface `IEvent`